Skip to main content
Versionv1

Documents API (v1)

Download OpenAPI specification:Download

Documents

Upload Documents

Upload one or more documents. Please append the documents using a FormData object, with the documents in a form field named Files.

If the upload was successfull, you will receive the the document GUID in the response body, please save this GUID somewhere as you will not be able to use your document inside the Voice platform without it.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get Document Metadata

Get uploaded document metadata by its unique identifier.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the Logical Account or Voice Account.

documentGuid
required
string <uuid>
Example: 00000000-0000-0000-0000-000000000000

Unique identifier of the document.

Responses

Response samples

Content type
application/json
{
  • "fileName": "string",
  • "fileType": "string",
  • "uploadDate": "2019-08-24T14:15:22Z"
}